Loading...
Searching...
No Matches
XrdSsiRespInfo.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdSsiRespInfo
union | XrdSsiRespInfo.__unnamed0__
union | XrdSsiRespInfo.__unnamed1__
class | XrdSsiRespInfoMsg

## Class Documentation

## XrdSsiRespInfo.__unnamed0__

union XrdSsiRespInfo.__unnamed0__

Definition at line 44 of file XrdSsiRespInfo.hh.

Collaboration diagram for XrdSsiRespInfo.__unnamed0__:

Class Members
const char * | buff | ->buffer when rType == isData ->buffer when rType == isHandle
const char * | eMsg | ->msg text when rType == isError
long long | fsize | ->file size when rType == isFile
XrdSsiStream * | strmP | ->SsiStream when rType == isStream

## XrdSsiRespInfo.__unnamed1__

union XrdSsiRespInfo.__unnamed1__

Definition at line 50 of file XrdSsiRespInfo.hh.

Collaboration diagram for XrdSsiRespInfo.__unnamed1__:

Class Members
int | blen | buffer len When rType == isData buffer len When rType == isHandle
int | eNum | errno When rType == isError
int | fdnum | filedesc When rType == isFile